#if !defined(AFX_BASICTAB_H__F1BB4986_25C2_4D87_B168_553C4075F657__INCLUDED_)
#define AFX_BASICTAB_H__F1BB4986_25C2_4D87_B168_553C4075F657__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// BasicTab.h : header file
//
#include "crypto/md5.h"
#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CBasicTab dialog

class CBasicTab : public CDialog
{
// Construction
public:
	CBasicTab(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CBasicTab)
	enum { IDD = IDD_BASIC_TAB };
	int		m_blackCountType;
	CString	m_blackRatioWhite;
	CString	m_blackNumber;
	CString	m_planeRadius;
	int		m_planeType;
	CString	m_planeX;
	CString	m_planeY;
	CString	m_whiteLandFail;
	CString	m_whiteNumber;
	CString	m_whiteTransmRange;
	CString	m_batchPath;
	CString	m_batchRepeat;
	CString	m_onlyNumNeigh;
	int		m_restrictUserNearestNeigh;
	int		m_neighbUsage;
	CString	m_percentKeysCompr;
	BOOL	m_useNeighAmplif;
	BOOL	m_useNeighDistrib;
	BOOL	m_removeMostComprBlack;
	CString	m_percentMostComprBlack;
	BOOL	m_removeMostComprWeighted;
	int		m_randomComprDistrib;
	CString	m_blackRatioReceiveRange;
	BOOL	m_useFixedSeed;
	BOOL	m_useGAFixedSeed;
	CString	m_randomSeed;
	CString	m_GARandomSeed;
	BOOL	m_blackInGrid;
	CString m_fitnessWeightMessages;
	CString m_fitnessWeightLinks;
	//}}AFX_DATA
    
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CBasicTab)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

	virtual void OnCancel(void) {}
	virtual void OnOK(void) {}

public:
    int GetDlgData(BASIC_INIT_DATA* pBasicSettings);
    int SetDlgData(BASIC_INIT_DATA* pBasicSettings);

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CBasicTab)
	virtual BOOL OnInitDialog();
	afx_msg void OnLoadConfigScript();
	afx_msg void OnSaveConfigScript();
	afx_msg void OnExecuteConfigScript();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
    afx_msg void OnBnClickedLoadWhiteDeployPattern();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_BASICTAB_H__F1BB4986_25C2_4D87_B168_553C4075F657__INCLUDED_)
