#ifndef COMMONFNC_H
#define COMMONFNC_H

class CCommonFnc {
public:
    static void BYTE_xor(unsigned char *x1, unsigned char *x2, int length);
    static int Dir_Create(CString path);
    static int Path_ExtractDirPath(CString filePath, CString* pDirPath);
    static int Path_Normalize(CString* path);
        
    static int File_AppendString(CString filePath, CString data);
    static int BYTE_ConvertFromHexStringToArray(CString hexaString, BYTE* pArray, BYTE* pbArrayLen);
    static int BYTE_ConvertFromHexStringToArray(CString hexaString, BYTE* pArray, DWORD* pbArrayLen);
    static int BYTE_ConvertFromArrayToHexString(BYTE* pArray, DWORD pbArrayLen, CString* pHexaString);

    static int File_GetIniSections(CString filePath, lcs* pSectionsList);
    static int String_ParseNullSeparatedArray(BYTE* array, DWORD arraySize, lcs* pValueString);
	static int String_ParseSeparatedArray(CString parseString, CString separator, lcs* pSeparatedList);

	static int Graph_Plot(GRAPH_DATA* pGlobalData, HWND hWnd, SCROLLINFO* pSi);
    static int Graph_PlotNoData(GRAPH_DATA* pGlobalData, HWND hWnd);
    static int Graph_WM_CREATE(GRAPH_DATA* pGlobalData, HWND hWnd, SCROLLINFO* pSi);
    static int Graph_WM_HSCROLL(GRAPH_DATA* pGlobalData, HWND hWnd, SCROLLINFO* pSi, WPARAM wParam, int resizeRatio = 1);
};

#endif