function [] = plotGAGS(mainNodeDist, firstNodeDist, secondNodeDist, DIFF_BELT, squereDist, colorBelt, colorHalfBelt, areaNumber)

%figure(1);
hold on;
a = [0,0];
b = [mainNodeDist, 0];


% calculate difference of distance from bounding box (1x1)
PRECISE = 100;
totalDist(1:2*PRECISE + (mainNodeDist * PRECISE) + 1, 1:2*PRECISE+1) = 0;
distanceMin = 10000;
minY = 0;
minX = 0;
for y=-1:1/PRECISE:1
    for x=-1:1/PRECISE:1+mainNodeDist
        distA = sqrt((x - a(1))^2 + (y - a(2))^2);
        distB = sqrt((x - b(1))^2 + (y - b(2))^2);

        if (squereDist == 1) distance =  sqrt((firstNodeDist - distA)^2 + (secondNodeDist - distB)^2); 
        else distance =  abs(firstNodeDist - distA) + abs(secondNodeDist - distB); end   
        
        if (distance < distanceMin) 
            minX = x;
            minY = y;
            distanceMin = distance;
        end
        
        totalDist(round(x * PRECISE) + 1 + PRECISE, round(y * PRECISE) + 1 + PRECISE) =  distance;        
    end
end

% calculate minimum difference
minDiff = min(min(totalDist))


DIFF_RATIO = DIFF_BELT / minDiff

DIFF_BELT = minDiff * DIFF_RATIO;
DIFF_BELT_HALF = DIFF_BELT / 2;
numInnerPoints = 0;
numOuterPoints = 0;
% plot all points, that are inside DIFF_BELT
for y=-1:1/PRECISE:1
    for x=-1:1/PRECISE:1+mainNodeDist
        if (totalDist(round(x * PRECISE) + 1 + PRECISE, round(y * PRECISE) + 1 + PRECISE) < (DIFF_BELT + minDiff)) 
            plot(x,y,colorBelt);
            hold on;
            numOuterPoints = numOuterPoints + 1;
        end
        if (totalDist(round(x * PRECISE) + 1 + PRECISE, round(y * PRECISE) + 1 + PRECISE) < (DIFF_BELT_HALF + minDiff)) 
            plot(x,y,colorHalfBelt);
            hold on;
            numInnerPoints = numInnerPoints + 1;
        end
    end
end

plot(a(1), a(2), 'sk');
plot(b(1), b(2), 'sk');

circle(a, 1, 'r'); 
circle(b, 1, 'g'); 

text(minX,minY,...
	areaNumber,...
	'HorizontalAlignment','center',... 
	'BackgroundColor',[1 1 1]);


numInnerPoints
numOuterPoints